igeo

## Class IPlaneAttractorField

- java.lang.Object
- - igeo.IObject
  - - igeo.IAgent
    - - igeo.IField
      - - igeo.I3DField
        - - igeo.IPlaneAttractorField

- All Implemented Interfaces:
    I3DFieldI, IDynamics, IFieldI, ISubobject

      public class IPlaneAttractorField
      extends I3DField

  Attractor field defined by a plane.
  Author:
    Satoru Sugihara

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IPlaneAttractorField.IPlaneAttractorFieldGeo`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) IPoint` | `point`

    - ### Fields inherited from class igeo.I3DField

      `field`

    - ### Fields inherited from class igeo.IField

      `targetClasses`

    - ### Fields inherited from class igeo.IAgent

      `alive, duration, interactOverridden, localDynamics, parent, targets, time`

    - ### Fields inherited from class igeo.IObject

      `attribute, dynamics, graphics, parameter, server, userData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IPlaneAttractorField(double xpos, double ypos, double zpos, double xnml, double ynml, double znml)`
    `IPlaneAttractorField(IVecI pos, IVecI nml)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IPlaneAttractorField` | `bidirectional(boolean b)` if bidirectional is on, field force vector is flipped when velocity of particle is going opposite
    `IPlaneAttractorField` | `clr(java.awt.Color c)`
    `IPlaneAttractorField` | `clr(java.awt.Color c, int alpha)`
    `IPlaneAttractorField` | `clr(double dgray)`
    `IPlaneAttractorField` | `clr(double dgray, double dalpha)`
    `IPlaneAttractorField` | `clr(double dr, double dg, double db)`
    `IPlaneAttractorField` | `clr(double dr, double dg, double db, double da)`
    `IPlaneAttractorField` | `clr(float fgray)`
    `IPlaneAttractorField` | `clr(float fgray, float falpha)`
    `IPlaneAttractorField` | `clr(float fr, float fg, float fb)`
    `IPlaneAttractorField` | `clr(float fr, float fg, float fb, float fa)`
    `IPlaneAttractorField` | `clr(int gray)`
    `IPlaneAttractorField` | `clr(int gray, int alpha)`
    `IPlaneAttractorField` | `clr(int r, int g, int b)`
    `IPlaneAttractorField` | `clr(int r, int g, int b, int a)`
    `IPlaneAttractorField` | `constantIntensity(boolean b)` if output vector is besed on constant length (intensity) or variable depending geometry when curve or surface tangent is used
    `IPlaneAttractorField` | `decay(IDecay decay, double threshold)` custom decay
    `void` | `del()` delete agent and stop it by removing it from dynamics server
    `IPlaneAttractorField` | `gauss(double threshold)` alias of gaussianDecay
    `IPlaneAttractorField` | `gaussian(double threshold)` alias of gaussianDecay
    `IPlaneAttractorField` | `gaussianDecay(double threshold)` set Gaussian decay with threshold; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).
    `double` | `getSize()`
    `IPlaneAttractorField` | `hide()`
    `IPlaneAttractorField` | `hsb(double h, double s, double b)`
    `IPlaneAttractorField` | `hsb(double h, double s, double b, double a)`
    `IPlaneAttractorField` | `hsb(float h, float s, float b)`
    `IPlaneAttractorField` | `hsb(float h, float s, float b, float a)`
    `IPlaneAttractorField` | `intensity(double i)` set output intensity
    `IPlaneAttractorField` | `layer(ILayer l)` Set layer by ILayer object
    `IPlaneAttractorField` | `linear(double threshold)` alias of linearDecay
    `IPlaneAttractorField` | `linearDecay(double threshold)` set linear decay with threshold; When distance is equal to threshold, output is zero.
    `IPlaneAttractorField` | `name(java.lang.String nm)` methods of IObject
    `IPlaneAttractorField` | `noDecay()` set no decay
    `IPlaneAttractorField` | `setColor(java.awt.Color c)`
    `IPlaneAttractorField` | `setColor(java.awt.Color c, int alpha)`
    `IPlaneAttractorField` | `setColor(double dgray)`
    `IPlaneAttractorField` | `setColor(double dgray, double dalpha)`
    `IPlaneAttractorField` | `setColor(double dr, double dg, double db)`
    `IPlaneAttractorField` | `setColor(double dr, double dg, double db, double da)`
    `IPlaneAttractorField` | `setColor(float fgray)`
    `IPlaneAttractorField` | `setColor(float fgray, float falpha)`
    `IPlaneAttractorField` | `setColor(float fr, float fg, float fb)`
    `IPlaneAttractorField` | `setColor(float fr, float fg, float fb, float fa)`
    `IPlaneAttractorField` | `setColor(int gray)`
    `IPlaneAttractorField` | `setColor(int gray, int alpha)`
    `IPlaneAttractorField` | `setColor(int r, int g, int b)`
    `IPlaneAttractorField` | `setColor(int r, int g, int b, int a)`
    `IPlaneAttractorField` | `setHSBColor(double h, double s, double b)`
    `IPlaneAttractorField` | `setHSBColor(double h, double s, double b, double a)`
    `IPlaneAttractorField` | `setHSBColor(float h, float s, float b)`
    `IPlaneAttractorField` | `setHSBColor(float h, float s, float b, float a)`
    `IPlaneAttractorField` | `setSize(double sz)` methods of IPoint
    `IPlaneAttractorField` | `show()`
    `double` | `size()`
    `IPlaneAttractorField` | `size(double sz)`
    `IPlaneAttractorField` | `threshold(double t)` set decay threshold
    `IPlaneAttractorField` | `weight(double w)`
    `IPlaneAttractorField` | `weight(float w)`

    - ### Methods inherited from class igeo.I3DField

      `applyField, del, field, get, get, intensity, threshold`

    - ### Methods inherited from class igeo.IField

      `clr, clr, clr, clr, clr, clr, clr, interact, isTarget, isTargetClass, target, target, targetClass, targetClass`

    - ### Methods inherited from class igeo.IAgent

      `addDynamics, alive, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, initAgent, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, setColor, setColor, setColor, setColor, target, target, targetNum, targets, time, time, update, updateGraphic, updateTarget`

    - ### Methods inherited from class igeo.IObject

      `addUserData, addUserData, alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, cp, createGraphic, defaultAttribute, deleteGraphic, dup, getAWTColor, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isValid, isVisible, layer, layer, name, red, redInt, resetGraphic, saturation, server, setColor, setColor, setParameter, setTexture, syncColor, syncGraphic, syncVisibility, syncWeight, texture, userData, userData, userData, userDataNum, visible, weight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### point

          IPoint point

  - ### Constructor Detail

    - #### IPlaneAttractorField

          public IPlaneAttractorField(IVecI pos,
                              IVecI nml)

    - #### IPlaneAttractorField

          public IPlaneAttractorField(double xpos,
                              double ypos,
                              double zpos,
                              double xnml,
                              double ynml,
                              double znml)

  - ### Method Detail

    - #### noDecay

          public IPlaneAttractorField noDecay()

      Description copied from class: `I3DField`
      set no decay
      Specified by:
        `noDecay` in interface `IFieldI`
      Overrides:
        `noDecay` in class `I3DField`

    - #### linearDecay

          public IPlaneAttractorField linearDecay(double threshold)

      Description copied from class: `I3DField`
      set linear decay with threshold; When distance is equal to threshold, output is zero.
      Specified by:
        `linearDecay` in interface `IFieldI`
      Overrides:
        `linearDecay` in class `I3DField`

    - #### linear

          public IPlaneAttractorField linear(double threshold)

      Description copied from class: `I3DField`
      alias of linearDecay
      Specified by:
        `linear` in interface `IFieldI`
      Overrides:
        `linear` in class `I3DField`

    - #### gaussianDecay

          public IPlaneAttractorField gaussianDecay(double threshold)

      Description copied from class: `I3DField`
      set Gaussian decay with threshold; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).
      Specified by:
        `gaussianDecay` in interface `IFieldI`
      Overrides:
        `gaussianDecay` in class `I3DField`

    - #### gaussian

          public IPlaneAttractorField gaussian(double threshold)

      Description copied from class: `I3DField`
      alias of gaussianDecay
      Specified by:
        `gaussian` in interface `IFieldI`
      Overrides:
        `gaussian` in class `I3DField`

    - #### gauss

          public IPlaneAttractorField gauss(double threshold)

      Description copied from class: `I3DField`
      alias of gaussianDecay
      Specified by:
        `gauss` in interface `IFieldI`
      Overrides:
        `gauss` in class `I3DField`

    - #### decay

          public IPlaneAttractorField decay(IDecay decay,
                                   double threshold)

      Description copied from class: `I3DField`
      custom decay
      Specified by:
        `decay` in interface `IFieldI`
      Overrides:
        `decay` in class `I3DField`

    - #### constantIntensity

          public IPlaneAttractorField constantIntensity(boolean b)

      Description copied from class: `I3DField`
      if output vector is besed on constant length (intensity) or variable depending geometry when curve or surface tangent is used
      Specified by:
        `constantIntensity` in interface `IFieldI`
      Overrides:
        `constantIntensity` in class `I3DField`

    - #### bidirectional

          public IPlaneAttractorField bidirectional(boolean b)

      if bidirectional is on, field force vector is flipped when velocity of particle is going opposite
      Specified by:
        `bidirectional` in interface `IFieldI`
      Overrides:
        `bidirectional` in class `I3DField`

    - #### threshold

          public IPlaneAttractorField threshold(double t)

      Description copied from class: `I3DField`
      set decay threshold
      Specified by:
        `threshold` in interface `IFieldI`
      Overrides:
        `threshold` in class `I3DField`

    - #### intensity

          public IPlaneAttractorField intensity(double i)

      Description copied from class: `I3DField`
      set output intensity
      Specified by:
        `intensity` in interface `IFieldI`
      Overrides:
        `intensity` in class `I3DField`

    - #### name

          public IPlaneAttractorField name(java.lang.String nm)

      Description copied from class: `IField`
      methods of IObject
      Overrides:
        `name` in class `IField`

    - #### layer

          public IPlaneAttractorField layer(ILayer l)

      Description copied from class: `IObject`
      Set layer by ILayer object
      Overrides:
        `layer` in class `IField`

    - #### show

          public IPlaneAttractorField show()

      Overrides:
        `show` in class `IField`

    - #### hide

          public IPlaneAttractorField hide()

      Overrides:
        `hide` in class `IField`

    - #### del

          public void del()

      Description copied from class: `IAgent`
      delete agent and stop it by removing it from dynamics server
      Specified by:
        `del` in interface `IFieldI`
      Overrides:
        `del` in class `I3DField`

    - #### setSize

          public IPlaneAttractorField setSize(double sz)

      methods of IPoint

    - #### size

          public IPlaneAttractorField size(double sz)

    - #### getSize

          public double getSize()

    - #### size

          public double size()

    - #### clr

          public IPlaneAttractorField clr(java.awt.Color c)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IPlaneAttractorField clr(java.awt.Color c,
                                 int alpha)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IPlaneAttractorField clr(int gray)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IPlaneAttractorField clr(float fgray)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IPlaneAttractorField clr(double dgray)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IPlaneAttractorField clr(int gray,
                                 int alpha)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IPlaneAttractorField clr(float fgray,
                                 float falpha)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IPlaneAttractorField clr(double dgray,
                                 double dalpha)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IPlaneAttractorField clr(int r,
                                 int g,
                                 int b)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IPlaneAttractorField clr(float fr,
                                 float fg,
                                 float fb)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IPlaneAttractorField clr(double dr,
                                 double dg,
                                 double db)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IPlaneAttractorField clr(int r,
                                 int g,
                                 int b,
                                 int a)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IPlaneAttractorField clr(float fr,
                                 float fg,
                                 float fb,
                                 float fa)

      Overrides:
        `clr` in class `IField`

    - #### clr

          public IPlaneAttractorField clr(double dr,
                                 double dg,
                                 double db,
                                 double da)

      Overrides:
        `clr` in class `IField`

    - #### hsb

          public IPlaneAttractorField hsb(float h,
                                 float s,
                                 float b,
                                 float a)

      Overrides:
        `hsb` in class `IField`

    - #### hsb

          public IPlaneAttractorField hsb(double h,
                                 double s,
                                 double b,
                                 double a)

      Overrides:
        `hsb` in class `IField`

    - #### hsb

          public IPlaneAttractorField hsb(float h,
                                 float s,
                                 float b)

      Overrides:
        `hsb` in class `IField`

    - #### hsb

          public IPlaneAttractorField hsb(double h,
                                 double s,
                                 double b)

      Overrides:
        `hsb` in class `IField`

    - #### setColor

          public IPlaneAttractorField setColor(java.awt.Color c)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IPlaneAttractorField setColor(java.awt.Color c,
                                      int alpha)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IPlaneAttractorField setColor(int gray)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IPlaneAttractorField setColor(float fgray)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IPlaneAttractorField setColor(double dgray)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IPlaneAttractorField setColor(int gray,
                                      int alpha)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IPlaneAttractorField setColor(float fgray,
                                      float falpha)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IPlaneAttractorField setColor(double dgray,
                                      double dalpha)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IPlaneAttractorField setColor(int r,
                                      int g,
                                      int b)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IPlaneAttractorField setColor(float fr,
                                      float fg,
                                      float fb)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IPlaneAttractorField setColor(double dr,
                                      double dg,
                                      double db)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IPlaneAttractorField setColor(int r,
                                      int g,
                                      int b,
                                      int a)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IPlaneAttractorField setColor(float fr,
                                      float fg,
                                      float fb,
                                      float fa)

      Overrides:
        `setColor` in class `IField`

    - #### setColor

          public IPlaneAttractorField setColor(double dr,
                                      double dg,
                                      double db,
                                      double da)

      Overrides:
        `setColor` in class `IField`

    - #### setHSBColor

          public IPlaneAttractorField setHSBColor(float h,
                                         float s,
                                         float b,
                                         float a)

      Overrides:
        `setHSBColor` in class `IField`

    - #### setHSBColor

          public IPlaneAttractorField setHSBColor(double h,
                                         double s,
                                         double b,
                                         double a)

      Overrides:
        `setHSBColor` in class `IField`

    - #### setHSBColor

          public IPlaneAttractorField setHSBColor(float h,
                                         float s,
                                         float b)

      Overrides:
        `setHSBColor` in class `IField`

    - #### setHSBColor

          public IPlaneAttractorField setHSBColor(double h,
                                         double s,
                                         double b)

      Overrides:
        `setHSBColor` in class `IField`

    - #### weight

          public IPlaneAttractorField weight(double w)

      Overrides:
        `weight` in class `IField`

    - #### weight

          public IPlaneAttractorField weight(float w)

      Overrides:
        `weight` in class `IField`